Subject: debiandoc-sgml 1.0.4: initial public release / several cleanups

From: Ian Jackson <[email-masked]>
Date: Fri, 23 Aug 96 12:09 BST

(A similar message about debiandoc-sgml has already appeared on
debian-devel and the linuxdoc-sgml list.  Readers who just wish to see
what has changed since 1.0.3 should skip to the .changes data below.)

I felt like linuxdoc-sgml was unsuitable for the new dpkg and Debian
policy manuals because:
 * It has serious problems with metacharacter handling/escaping.
 * The DTD doesn't express what was supported by the backends, and
   is generally full of leftover gunk.
 * The formatting of certain constructs - especially cross-references
   and examples - by several of the backends is poor.
 * It doesn't have all the features I wanted.
 * It has features I don't want and don't want to bother maintaining.
 * Its backends generate their output through too many or IMO the
   wrong intermediate stages (eg, plain text via groff or PostScript
   via LaTeX).

So I wrote this.  It's small but it does what it claims to do -
translate documents in its DTD into HTML, plain text (overstruck or
not) and PostScript (via Lout).  Info is not supported at the moment.

Versions before this one were distributed via project/experimental
because it was in the new source package format which wasn't supported
by a public version of dpkg.  That dpkg is now on its way to unstable,
so I'm sending this package to join it.

You need `sp' (aka nsgmls) as that's the SGML parser it expects, and
SGMLsp (the Perl modules for SGML backends) and Perl5 of course.  It
has one dependency on linuxdoc-sgml, due to the file
/usr/lib/linuxdoc-sgml/rep/latin1/general (which is a list of
character entities).

There documentation for the formatter itself is in /usr/doc.

Ian.

-----BEGIN PGP SIGNED MESSAGE-----

Format: 1.5
Date: Fri, 23 Aug 1996 12:04:28 +0100
Source: debiandoc-sgml
Binary: debiandoc-sgml
Architecture: source all
Version: 1.0.4
Distribution: unstable
Urgency: low
Maintainer: Ian Jackson <[email-masked]>
Description: 
 debiandoc-sgml - Documentation formatting for Debian manuals
Changes: 
 debiandoc-sgml (1.0.4) unstable; urgency=low
 .
   * converter scripts remove temporary files and can write to stdout.
   * PostScript converter can produce 1-up as well as 2-up output.
   * PostScript converter has some support for paper size determination.
 .
   * Split binary target into binary-indep and binary-arch.
   * Updated Standards-Version.
   * Released into `unstable'.
Files: 
 bf253e5b1cf440133f524dcf1cb811e6 559 text optional debiandoc-sgml_1.0.4.dsc
 739a60c43bf6544319f9a7e4d7dbbdb2 36692 text optional debiandoc-sgml_1.0.4.tar.gz
 f0d319fcb97e8217575f4258d9eb1b4a 23106 text optional debiandoc-sgml_1.0.4_all.deb